
class NilClass

  # Nil#status makes it possible to pass messages
  # through a "failure" chain.

  def status( status=nil )
    if status
      @status = status
      self
    else
      @status
    end
  end

  # Check status.

  def status?
    return unless @status
    return false if @status.empty?
    return true
  end

end
